### Name: fig1
### Title: Artificial point data.
### Aliases: fig1 fig2 fig3
### Keywords: datasets

### ** Examples

## Not run: 
##D data(fig1)
##D data(fig2)
##D data(fig3)
##D 
##D # transform to ppp format of spatstat with function haz.ppp
##D fig1.ppp=haz.ppp(fig1)
##D fig2.ppp=haz.ppp(fig2)
##D fig3.ppp=haz.ppp(fig3)
##D 
##D #Analyses as in Fig.3.2 of De la Cruz (2007). First, compute function K.
##D cosa1=Kest(fig1.ppp)
##D 
##D # Plot different estimators. 
##D par("mar"=par("mar")+c(0,1,0,0))
##D # Fig. 3.2a 
##D plot(cosa1, col=c(1,0,0,1), lwd=c(2,2,2,2), lty=c(1,1,1,2), 
##D      main="")
##D # Fig. 3.2b
##D plot(cosa1, sqrt(./pi)-r~r, col=c(1,0,0,1), lwd=c(2,2,2,2), 
##D      lty=c(1,1,1,2), main="",ylab="L(r)")
##D # Fig. 3.2c
##D plot(cosa1, .-(pi*r^2)~r, col=c(1,0,0,1), lwd=c(2,2,2,2), 
##D      lty=c(1,1,1,2),main="",ylab=expression(K(r)-pi*r^2))
##D # Fig. 3.2d
##D plot(cosa1,(./(pi*r^2))-1~r,col=c(1,0,0,1), lwd=c(2,2,2,2), 
##D      lty=c(1,1,1,2),main="",
##D      ylab=expression((K(r)/pi*r^2)-1))
##D 
##D ## Analyses as in fig. 3.7 of De la Cruz (2007).
##D ## First, compute function K and pointwise envelopes
##D cosa1.env=envelope(fig1.ppp,Kest)
##D cosa2.env=envelope(fig2.ppp,Kest)
##D cosa3.env=envelope(fig3.ppp,Kest)
##D 
##D ## Plot function L with pointwise envelopes
##D plot(cosa1.env,sqrt(./pi)-r~r, lwd=c(1,1,2,2), 
##D         lty=c(1,1,3,3), col=c(1,1,1,1), xlab="r", 
##D         ylab="L(r)",main="", ylim=c(-2,2))
##D 
##D ## Add simultaneous envelopes of Ripley (+-1.68 *sqrt(A)/N)
##D abline(h=1.68*sqrt(fig1.ppp$w$area)/fig1.ppp$n, 
##D          lty=2,lwd=2)
##D abline(h=-1.68*sqrt(fig1.ppp$w$area)/fig1.ppp$n, 
##D          lty=2,lwd=2)
##D 
##D ## Plot function L with pointwise envelopes
##D plot(cosa2.env,sqrt(./pi)-r~r, lwd=c(1,1,2,2), 
##D         lty=c(1,1,3,3), col=c(1,1,1,1), xlab="r", 
##D         ylab="L(r)",main="")
##D ## Add simultaneous envelopes of Ripley
##D abline(h=1.68*sqrt(fig2.ppp$w$area)/fig2.ppp$n, 
##D          lty=2,lwd=2)
##D abline(h=-1.68*sqrt(fig2.ppp$w$area)/fig2.ppp$n, 
##D          lty=2,lwd=2)
##D 
##D ## Plot function L with pointwise envelopes
##D plot(cosa3.env,sqrt(./pi)-r~r, lwd=c(1,1,2,2), 
##D         lty=c(1,1,3,3), col=c(1,1,1,1), xlab="r", 
##D         ylab="L(r)",main="")
##D ## Add simultaneous envelopes of Ripley
##D abline(h=1.68*sqrt(fig3.ppp$w$area)/fig3.ppp$n, 
##D          lty=2,lwd=2)
##D abline(h=-1.68*sqrt(fig3.ppp$w$area)/fig3.ppp$n, 
##D          lty=2,lwd=2)
## End(Not run)



